<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.StatisticsMonthLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.StatisticsMonthLog">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="statistics_time" property="statisticsTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
        <result column="month" property="month" />
        <result column="parse_type" property="parseType" />
        <result column="custom_type" property="customType" />
        <result column="paper_efficiency" property="paperEfficiency" />
        <result column="paper_length" property="paperLength" />
        <result column="paper_count" property="paperCount" />
        <result column="use_count" property="useCount" />
        <result column="total_count" property="totalCount" />
        <result column="hardware_count" property="hardwareCount" />
        <result column="hardware_day_count" property="hardwareDayCount" />
        <result column="rfid_count" property="rfidCount" />
        <result column="equipment_repair_count" property="equipmentRepairCount" />
        <result column="city" property="city" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, statistics_time, soft_delete, agent_id, property_id, district_id, agent_name, property_name, district_name, month, parse_type, custom_type, paper_efficiency, paper_length, paper_count, use_count, total_count, hardware_count, hardware_day_count, rfid_count, equipment_repair_count, city
    </sql>

</mapper>
